<template>
    <el-row>
        <el-form-item label="问卷标题" label-width="90px">
            <el-input v-model="activeData.__config__.defaultValue"></el-input>
        </el-form-item>
    </el-row>
</template>
<script>
import comMixin from './mixin';
import { getDictionaryDataSelector } from '@/api/systemData/dictionary'
export default {
    props: ['activeData'],
    mixins: [comMixin],
    components: {},
    data() {
        return {
            startOptions: []
        }
    },
    created() {
        if (this.activeData.__config__.valueType == '1') {
            console.log('inputCreated')
            this.getStartOptions();
        }
    },
    methods: {
        titleChange(e) {
            console.log(e)
        },
        getStartOptions() {
            getDictionaryDataSelector('processFormDefaultValue').then(res => {
                this.startOptions = res.data.list
            })
        },
    }
}
</script>